--- title: "Get node spec" slug: "analytics-clouddatastreamingservice-cluster-getnodespecdetai" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-cluster-getnodespecdetai" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get node spec Available in VPC Get server specifications by Cloud Data Streaming Service cluster node. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/cluster/getNodeSpecDetail/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v1/cluster/getNodeSpecDetail/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v1/cluster/getNodeSpecDetail/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-clouddatastreamingservice-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getNodeSpecDetail/1009*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.clusterName` | String | - | Cluster name | | `result.serviceGroupInstanceNo` | Integer | - | Cluster instance number | | `result.zoneNo` | String | - | Zone number | | `result.softwareProductCode` | String | - | Operating system type code | | `result.managerNodeProductName` | String | - | Manager node server type | | `result.managerNodeProductCode` | String | - | Manager node server type code | | `result.brokerNodeProductName` | String | - | Broker node server type | | `result.brokerNodeProductCode` | String | - | Broker node server type code | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "clusterName": "cluster02", "serviceGroupInstanceNo": 1009*****, "zoneNo": "3", "softwareProductCode": "SW.VCDSS.OS.LNX64.CNTOS.0708.B050", "managerNodeProductName": "vCPU 2EA, Memory 8GB, [SSD] Disk 50GB", "managerNodeProductCode": "SVR.VCDSS.STAND.C002.M008.NET.SSD.B050.G002", "brokerNodeProductName": "vCPU 2EA, Memory 8GB, [SSD] Disk 50GB", "brokerNodeProductCode": "SVR.VCDSS.STAND.C002.M008.NET.SSD.B050.G002" }, "requestId": "052ee46f-****-****-****-570135acef0a" } ```